Subject: Re: [2.4 PATCH] bugfix: ARP respond on all devices

From: "David S. Miller" <[email-masked]>
Date: Mon, 18 Aug 2003 07:28:33 -0700

On Mon, 18 Aug 2003 16:28:47 +0200
Willy Tarreau <[email-masked]> wrote:

> Now if you think that the behaviour I'm proposing is broken, please explain me
> why.

If the user overrides the source address (which is the case I believe
you're talking about, there are so many cases it's hard for me
to keep track) then HE KNOWS WHAT HE IS DOING even if using that
source address to talk to a particular remote address makes no sense.